# SPDX-FileCopyrightText: 2024 Justin Myers
#
# SPDX-License-Identifier: MIT
"""
Board stub for DAISY_SEED
 - port: stm
 - board_id: daisy_seed_with_sdram
 - NVM size: Unknown
 - Included modules: _asyncio, _bleio, _bleio (HCI co-processor), _pixelmap, adafruit_bus_device, adafruit_pixelbuf, aesio, array, atexit, audiocore, audiomixer, audiomp3, audiopwmio, binascii, bitbangio, bitmapfilter, bitmaptools, board, builtins, builtins.pow3, busdisplay, busio, busio.SPI, busio.UART, codeop, collections, digitalio, displayio, epaperdisplay, errno, fontio, fourwire, framebufferio, getpass, gifio, i2cdisplaybus, io, jpegio, json, keypad, keypad.KeyMatrix, keypad.Keys, keypad.ShiftRegisterKeys, keypad_demux, keypad_demux.DemuxKeyMatrix, locale, lvfontio, math, microcontroller, msgpack, onewireio, os, os.getenv, pwmio, rainbowio, random, re, rtc, sdcardio, sdioio, select, sharpdisplay, storage, struct, supervisor, synthio, sys, terminalio, tilepalettemapper, time, touchio, traceback, ulab, usb_cdc, usb_hid, usb_midi, vectorio, warnings, zlib
 - Frozen libraries: 
"""

# Imports
import microcontroller


# Board Info:
board_id: str


# Pins:
LED: microcontroller.Pin  # PC07
BOOT: microcontroller.Pin  # PG03
D0: microcontroller.Pin  # PB12
D1: microcontroller.Pin  # PC11
D2: microcontroller.Pin  # PC10
D3: microcontroller.Pin  # PC09
D4: microcontroller.Pin  # PC08
D5: microcontroller.Pin  # PD02
D6: microcontroller.Pin  # PC12
D7: microcontroller.Pin  # PG10
D8: microcontroller.Pin  # PG11
D9: microcontroller.Pin  # PB04
D10: microcontroller.Pin  # PB05
D11: microcontroller.Pin  # PB08
D12: microcontroller.Pin  # PB09
D13: microcontroller.Pin  # PB06
D14: microcontroller.Pin  # PB07
D15: microcontroller.Pin  # PC00
A0: microcontroller.Pin  # PC00
D16: microcontroller.Pin  # PA03
A1: microcontroller.Pin  # PA03
D17: microcontroller.Pin  # PB01
A2: microcontroller.Pin  # PB01
D18: microcontroller.Pin  # PA07
A3: microcontroller.Pin  # PA07
D19: microcontroller.Pin  # PA06
A4: microcontroller.Pin  # PA06
D20: microcontroller.Pin  # PC01
A5: microcontroller.Pin  # PC01
D21: microcontroller.Pin  # PC04
A6: microcontroller.Pin  # PC04
D22: microcontroller.Pin  # PA05
A7: microcontroller.Pin  # PA05
D23: microcontroller.Pin  # PA04
A8: microcontroller.Pin  # PA04
D24: microcontroller.Pin  # PA01
A9: microcontroller.Pin  # PA01
D25: microcontroller.Pin  # PA00
A10: microcontroller.Pin  # PA00
D26: microcontroller.Pin  # PD11
D27: microcontroller.Pin  # PG09
D28: microcontroller.Pin  # PA02
A11: microcontroller.Pin  # PA02
D29: microcontroller.Pin  # PB14
D30: microcontroller.Pin  # PB15


# Members:

# Unmapped:
#   none
